{ Fill in the following sections (removing comment marks ! if necessary),
  and delete those that are unused.}
TITLE 'Scianka szczelna+dren'     { the problem identification }
 Select
painted
errlim=1e-3
COORDINATES
cartesian2  { coordinate system, 1D,2D,3D, etc }
VARIABLES        { system variables }
  h              { Wysokosc Hydrauliczna }
 DEFINITIONS    {wsp?czynniki przepuszczalno?ci, ?rd?a, studnie }

s=10 !wsp skali
k1=0.001 {wsplczynnik filtracji w strefie 1}
k2=0.001 {wsplczynnik filtracji w strefie 2}
sx1=0.60*s   sy1=0.75*s 	{wsp?rz?dne po?o?enia pierwszego drenu}
srad=0.20  {promie? studni - w odniesieniu do wielko?ci o?rodka}
w=0.25 {parametr powiekszenia rozmiaru okna}

px=0.5  py=0.1  {umijscowienie ?rd?a}
pr=0.025  {promie? ?rd?a}
ps= 0.04  {intensywnosc zrdla}
vx=-k1*dx(h)
vy=-k2*dy(h)
EQUATIONS        { PDE's, one for each variable }

dx(k1*dx(h))+dy(k2*dy(h))=0 { rwnanie przep?ywu w o?rodku anizotropowym }

BOUNDARIES       { Warunki brzegowe }
  REGION 1       { Obszar pierwszy }
    START(0,0)   { wprowadzanie pierwszego ci?gu danych od pkt. (0,0) }
    natural(h)=0 LINE TO (10,0) TO (10,8)
    value(h)=80 LINE TO (0.51*s,8) 
    natural(h)=0 LINE TO (0.51*s,0.5*s)TO (0.49*s,0.5*s) TO (0.49*s,1.0*s) 
    value(h)=100 LINE TO (0,s)
    natural(h)=0  LINE TO CLOSE
{START(sx1,sy1-srad)
value(h)=80 arc(center=sx1,sy1) angle=-360}

MONITORS         { monitoring }
   contour(h)

PLOTS            { save result displays }
  CONTOUR(-h)
   grid(x,y)
 	surface(h) as 'Head'
	VECTOR(vx,vy) norm
contour( dy(h)+1.65)
  ELEVATION(h) FROM (0,0.5*s) to (s,0.5*s)




END

